io.undertow.server.handlers.sse

## Interface ServerSentEventConnection.EventCallback

Enclosing class:
  ServerSentEventConnection

    public static interface ServerSentEventConnection.EventCallback

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `done(ServerSentEventConnection connection, String data, String event, String id)` Notification that is called when a message is sucessfully sent
`void` `failed(ServerSentEventConnection connection, String data, String event, String id, IOException e)` Notification that is called when a message send fails.

### Method Detail

#### done

    void done(ServerSentEventConnection connection,
              String data,
              String event,
              String id)

Notification that is called when a message is sucessfully sent

Parameters:
  `connection` - The connection
  `data` - The message data
  `event` - The message event
  `id` - The message id

#### failed

    void failed(ServerSentEventConnection connection,
                String data,
                String event,
                String id,
                IOException e)

Notification that is called when a message send fails.

Parameters:
  `connection` - The connection
  `data` - The message data
  `event` - The message event
  `id` - The message id
  `e` - The exception